com.independentsoft.exchange

## Class ConversationShape

- java.lang.Object
- - com.independentsoft.exchange.ConversationShape

-     public class ConversationShape
      extends java.lang.Object

  Identifies a set of properties to return in a FindConversation operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversationShape()` Initializes a new instance of the ConversationShape class.
    `ConversationShape(java.util.List<PropertyPath> propertyPaths)` Initializes a new instance of the ConversationShape class.
    `ConversationShape(ShapeType type)` Initializes a new instance of the ConversationShape class.
    `ConversationShape(ShapeType type, java.util.List<PropertyPath> propertyPaths)` Initializes a new instance of the ConversationShape class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<PropertyPath>` | `getPropertyPaths()` Identifies additional properties to return in a response.
    `ShapeType` | `getType()` Identifies the basic configuration of properties to return in an item or folder response.
    `void` | `setType(ShapeType type)` Identifies the basic configuration of properties to return in an item or folder response.
    `java.lang.String` | `toString()` Converts the value of the current ConversationShape object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversationShape

          public ConversationShape()

      Initializes a new instance of the ConversationShape class.

    - #### ConversationShape

          public ConversationShape(ShapeType type)

      Initializes a new instance of the ConversationShape class.
      Parameters:
        `type` - the type

    - #### ConversationShape

          public ConversationShape(java.util.List<PropertyPath> propertyPaths)

      Initializes a new instance of the ConversationShape class.
      Parameters:
        `propertyPaths` - the property paths

    - #### ConversationShape

          public ConversationShape(ShapeType type,
                                   java.util.List<PropertyPath> propertyPaths)

      Initializes a new instance of the ConversationShape class.
      Parameters:
        `type` - the type
        `propertyPaths` - the property paths

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current ConversationShape object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getType

          public ShapeType getType()

      Identifies the basic configuration of properties to return in an item or folder response.
      Returns:
        the type

    - #### setType

          public void setType(ShapeType type)

      Identifies the basic configuration of properties to return in an item or folder response.
      Parameters:
        `type` - the new type

    - #### getPropertyPaths

          public java.util.List<PropertyPath> getPropertyPaths()

      Identifies additional properties to return in a response.
      Returns:
        the property paths